I recently bought a new Macbook Air, with OS X 10.6.  I started using a new package manager called homebrew (http://mxcl.github.com/homebrew/) which is simple, clean, and git-based.  I find it incredibly easy to use, and my numpy/scipy/mpl stack (using repo MPL) installed very smoothly.

The package will build everything from scratch, and it builds python2.7 for you.

Here is what I did on my new computer.  (NOTE: I had some trouble replicating this on an older computer, but eventually got it working.  If this doesn't work for you, let me know, and I'll give you info on the other install I did with homebrew.)

brew install python

brew install pip

# install gfortran from here:
# http://r.research.att.com/tools/

brew install fftw

brew install suite-sparse

# based on: http://mail.scipy.org/pipermail/numpy-discussion/2010-August/052227.html
# download numpy 1.5.1
# download scipy 0.8.0
# tarballs
# set the following environment vars:
export MACOSX_DEPLOYMENT_TARGET=10.6
export CFLAGS="-arch i386 -arch x86_64"
export FFLAGS="-m32 -m64"
export LDFLAGS="-Wall -undefined dynamic_lookup -bundle -arch i386 -arch x86_64 -framework Accelerate"
# in numpy directory:
python setup.py build --fcompiler=gnu95
python setup.py install
# in scipy directory:
python setup.py build --fcompiler=gnu95
sudo python setup.py install

# fresh shell
pip install ipython


Uri

...................................................................................
Uri Laserson
Graduate Student, Biomedical Engineering
Harvard-MIT Division of Health Sciences and Technology
M +1 917 742 8019
laserson@mit.edu


On Tue, Jan 25, 2011 at 05:09, Peter Smale <peter.smale@gmail.com> wrote:
Hi,
I am using Matplotlib with python 2.6 on a MacBook Pro (Mac OS X 10.6):

Darwin Peters-MacBook-Pro.local 10.6.0 Darwin Kernel Version 10.6.0: Wed Nov 10 18:13:17 PST 2010; root:xnu-1504.9.26~3/RELEASE_I386 i386

I had a hard job getting matplotlib going, but eventually managed it using an easy_install script that installed scipy and numpy as well. Matplotlib would not work with the EPD distribution on my machine. I also tried installing python 2.7 on my mac and working with that but it didn't work either. So I deleted all (I hope) the python stuff I had tried to get going, including environment variables, keeping just the default python 2.6 that comes with Mac OS X 10.6. Now matplotlib works just fine.

But now when I run port selfupdate and then port -v upgrade outdated i get the following error:

...
--->  Activating python26 @2.6.6_1
Error: Target org.macports.activate returned: Image error: /opt/local/bin/python2.6 already exists and does not belong to a registered port.  Unable to activate port python26. Use 'port -f activate python26' to force the activation.
Error: Failed to install python26
Log for python26 is at: /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_lang_python26/main.log
Error: The following dependencies were not installed: python26
Error: Unable to upgrade port: 1
To report a bug, see <http://guide.macports.org/#project.tickets>

I wonder if this is due to an old failed install that I tried with macports.
My question is: can I force this activation and know that my matplotlib etc will still work?
If this is nothing to do with updating the shipped python, how can I stop macports trying to upgrade python 2.6?

I really don't want to do anything that will break my lovely matplotlib again.

This might be more of a macports question, but I'm interested to hear of others' experiences with matplotlib on mac OS X 10.6 anyway.

Cheers,
Peter
------------------------------------------------------------------------------
Special Offer-- Download ArcSight Logger for FREE (a $49 USD value)!
Finally, a world-class log management solution at an even better price-free!
Download using promo code Free_Logger_4_Dev2Dev. Offer expires
February 28th, so secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsight-sfd2d
_______________________________________________
Matplotlib-users mailing list
Matplotlib-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-users